//--------------------------------
// WAVEFLT2 common header

#ifndef _WFLT_WAVEFLT_H
#define _WFLT_WAVEFLT_H

#define DEF_WAVEFLT

#ifdef WIN32
#define USEWIN32API  // use win32 APIs
#include <windows.h>
#include <fcntl.h>  // _setmode
#include <io.h>
#endif

#include <stdio.h>
#include <string.h>
#include <math.h>

#ifndef	BOOL
#define BOOL int
#endif

#ifndef	VOID
#define VOID void
#endif

#ifndef true
#define  true   1
#define  false  0
#endif


#ifndef WIN32

#include <stdlib.h>  // free,malloc
#include <unistd.h>  // sleep

typedef unsigned short	WORD;
typedef unsigned long	DWORD;
typedef unsigned char	BYTE;
typedef unsigned char	*LPSTR;
typedef unsigned int	UINT;


typedef struct 
{ 
	WORD  wFormatTag; 
    WORD  nChannels; 
    DWORD nSamplesPerSec; 
    DWORD nAvgBytesPerSec; 
    WORD  nBlockAlign; 
    WORD  wBitsPerSample; 
    WORD  cbSize; 
} WAVEFORMATEX,*LPWAVEFORMATEX; 

#define MAX_PATH 255

#define wsprintf sprintf

#define Sleep(a) usleep((a)*1000)

#ifndef max
#define min(a,b) ((a)<(b)?(a):(b))
#define max(a,b) ((a)>(b)?(a):(b))
#endif

#endif


#define MAX_ARGC 255
#define CHR_BUF 256 

#define MAXCOPYBLOCK 64   // max size of blocks
#define MAX_WAVFLTOPTBUF 4096 // buffer size for reading options

#endif
//EOF
